/*
	$Id: Interface.java 307 2007-03-22 21:08:11Z syl $

	Copyright (C) 2006 Syllabub
	Maroontress Fast Software.
*/

package com.maroontress.sanctuary;

import java.io.PrintWriter;
import org.w3c.dom.Element;

/**
   󥿥եǤ
*/
public class Interface extends Group {

    /** ᥽åɤΥå */
    private Methods methods;

    /**
       󥿥եޤ

       @param elem interface
       @param filename XMLΥե̾
    */
    public Interface(final Element elem, final String filename) {
	super(elem, filename);

	ChildrenFilter c = getChildrenFilter();
	methods = new RegularMethods(
	    this, c.getDirectChildrenByTagName("method"));
    }

    /**
       {@inheritDoc}
    */
    @Override public void printCode() {
    }

    /**
       {@inheritDoc}
    */
    @Override protected String getType() {
	return "interface";
    }

    /**
       {@inheritDoc}
    */
    @Override protected void printHtmlUsage(final PrintWriter wr) {
    }

    /**
       {@inheritDoc}
    */
    @Override protected void printHtml(final PrintWriter wr) {
	methods.printSummary(wr);
	methods.printDetail(wr);
    }

    /**
       {@inheritDoc}
    */
    @Override protected void printTexUsage(final PrintWriter wr) {
    }

    /**
       {@inheritDoc}
    */
    @Override protected void printTex(final PrintWriter wr) {
	methods.printTexDetail(wr);
    }

    /**
       {@inheritDoc}
    */
    @Override public void printStub() {
    }

    /**
       {@inheritDoc}
    */
    @Override public void importTags(final String s) {
    }
}
